Subject: bug#65864: [PATCH] Add option to save a buffer without running save hooks

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Feb 2025 15:45:11 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 11 Feb 2025 20:25:30 -0800
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > Juri Linkov <[email-masked]> writes:
> >
> >> I confirm that 'C-u - C-x C-s' will save me from trouble that I have with
> >>
> >>   (add-hook 'before-save-hook 'time-stamp nil t)
> >>
> >> because often I don't need to update the timestamp for a small fix.
> >> It takes too much time to revisit the file with M-x find-file-literally,
> >> then manually restore the previous timestamp (to not commit unnecessary change),
> >> and save the file again.  Your patch will help substantially, thanks for this.
> >
> > Same here, FWIW.
> 
> Does anyone object to installing this patch?

I don't necessarily object, but how can we usefully document this
behavior? who are those users that know by heart the hooks run by
save-buffer?  And without knowing that, how can a user decide whether
she does or doesn't want to use this feature: perhaps omitting some
hook disables behavior that is very important to the user?